Subject: 23.0.90; python-mode: Annoying skeletons

From: Milan Zamazal <[email-masked]>
Date: Sat, 21 Feb 2009 11:24:51 +0100

In GNU Emacs 23.0.90.1 (x86_64-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2009-02-03 on blackbird, modified by Debian
 (emacs-snapshot package, version 1:20090202-1)

python-mode defines skeletons for some commands.  This is very annoying
when one wants to use abbrev-mode in python-mode but doesn't want to use
the skeletons.

I'm not sure whether enabling skeletons by default conforms to common
Emacs practices.  But what is more important, there should be an easy
way to disable them at least.  As far as I can see it isn't which is a
bug.

Regards,

Milan Zamazal